﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:output method="html" encoding="us-ascii" doctype-public="-//W3C//DTDXHTML 1.0 Transitional//EN" doctype-system="https://www.w3.org/TR/html4/strict.dtd" />
	
    <!-- string parameters -->	
    <xsl:param name="view.details.headimage"/>		
	<xsl:param name="view.details.base"/>
	<xsl:param name="view.details.id"/>
	<xsl:param name="view.details.section"/>
	<xsl:param name="view.details.phraseology"/>
	<xsl:param name="view.details.date"/>
	<xsl:param name="view.details.etym"/>
	<!--  <xsl:param name="view.details.print"/>  -->
	<xsl:param name="view.details.play"/>
	<xsl:param name="view.details.stop"/>
	<xsl:param name="tooltip-xml"/>
			
	<xsl:template match="ENTRY">
		<xsl:text>
		<script>
function setZoomIn(el) {
           var origin = "0% 0% 0px";
           var classOut = "TabA";
           var classIn = "TabA";
           var titleOut = "Zoom Out";
           var titleIn = " Zoom In";
           var width = el.getAttribute("style");
	   width = width.replace(/width:[ ]*/, "");
	   width = width.replace(/; transform: scale\([0-9\.]+\); transform-origin: 0% 0% 0px;/, "");
           if (width == "95%") {
               zoom = 1.2;
               wid = "80%";
              }
           if (width == "80%") {
               zoom = 1.4;
               wid = "70%";
              }
            if (width == "70%") {
               zoom = 1.6;
               wid = "60%";
               classIn = "TabD";
               titleIn = "";
               }
            if (width == "60%") {
               zoom = 1.6;
               wid = "60%";
               classIn = "TabD";
               titleIn = "";
               }
            s = "scale(" + zoom + ")";
	    el.style["transform"] = s;
	    el.style["transformOrigin"] = origin;
	    el.style["webkitTransform"] = s;
	    el.style["webkitTransformOrigin"] = origin;
	    el.style["width"] = wid;
	    document.getElementById("zoomin").className = classIn;
	    document.getElementById("zoomout").className = classOut;
	    document.getElementById("zoomin").title = titleIn;
	    document.getElementById("zoomout").title = titleOut;
}
function setZoomOut(el) {
           var origin = "0% 0% 0px";
           var classOut = "TabA";
           var classIn = "TabA";
           var titleOut = "Zoom Out";
           var titleIn = " Zoom In";
           var width = el.getAttribute("style");
	   width = width.replace(/width:[ ]*/, "");
	   width = width.replace(/; transform: scale\([0-9\.]+\); transform-origin: 0% 0% 0px;/, "");
            if (width == "95%") {
               zoom = 1;
               wid = "95%";
               classOut = "TabD";
               titleOut = "";
               }
            if (width == "80%") {
               zoom = 1;
               wid = "95%";
               classOut = "TabD";
               titleOut = "";
               }
            if (width == "70%") {
               zoom = 1.2;
               wid = "80%";
               }
            if (width == "60%") {
               zoom = 1.4;
               wid = "70%";
               }
            s = "scale(" + zoom + ")";
	    el.style["transform"] = s;
	    el.style["transformOrigin"] = origin;
	    el.style["webkitTransform"] = s;
	    el.style["webkitTransformOrigin"] = origin;
	    el.style["width"] = wid;
	    document.getElementById("zoomin").className = classIn;
	    document.getElementById("zoomout").className = classOut;
	    document.getElementById("zoomin").title = titleIn;
	    document.getElementById("zoomout").title = titleOut;
}
		</script>
		</xsl:text>
	<table border="0" cellpadding="0" cellspacing="0" width="100%" style="height:100%; border:0">
	<tr>
		<td class="Fascia" valign="top" align="center">DIZIONARIO ITALIANO <b>SABATINI COLETTI</b></td>
	</tr>
	<tr><td class="Tasti"><xsl:apply-templates select="TABS" />
<a class="TabD" style="float:right" onclick="setZoomOut(document.getElementById('entry')); return false" id="zoomout" title="">Z–</a>
<a class="TabA" style="float:right" onclick="setZoomIn(document.getElementById('entry')); return false" id="zoomin" title=" Zoom In ">Z+</a>
<br/><br/><hr class="Linea"></hr></td>
</tr>
	<tr>				
		<td valign="top" height="100%">
		<div class="Entry" id="entry" style="width:95%">
			<xsl:apply-templates select="HEAD" />
			<xsl:apply-templates select="BODY" />
			<xsl:apply-templates select="ETYM" />
			<xsl:apply-templates select="DATE" />	
			<xsl:apply-templates select="PHRASES" />
			<xsl:apply-templates select="TAIL" />	
			</div>
		</td>
	</tr>
	</table>
	</xsl:template>

	<xsl:template match="BODY/Conjugation">
		<div class="GrammCat">
			<xsl:apply-templates />	
		</div>
	</xsl:template>

	<xsl:template match="Compound">
	<P class="Compound">
		<xsl:apply-templates />	
	</P>
	</xsl:template>

	<xsl:template match="Intro">
	<div class="Intro">
		<xsl:apply-templates />	
	</div>
	</xsl:template>
	<xsl:template match="IntroR">
	<div class="IntroR">
		<xsl:apply-templates />	
	</div>
	</xsl:template>

	<xsl:template match="pImg">
	<xsl:variable name="src"><xsl:value-of select="@Nome"/></xsl:variable>
	<p class="pImg">
		<img src="disc/external/Img/{$src}" border="0" />	
	</p>
	</xsl:template>
	<xsl:template match="Tit0">
	<p class="Tit0">
		<xsl:apply-templates />	
	</p>
	</xsl:template>
	<xsl:template match="Tit1">
	<p class="Tit1">
		<xsl:apply-templates />	
	</p>
	</xsl:template>
	<xsl:template match="Tit2">
	<p class="Tit2">
		<xsl:apply-templates />	
	</p>
	</xsl:template>		
	<xsl:template match="ppr">
		<p class="ppr">
	<xsl:apply-templates />
	</p>
	</xsl:template>		
	<xsl:template match="ppr1">
		<p class="ppr1">
	<xsl:apply-templates />
	</p>
	</xsl:template>		
	<xsl:template match="ppr2">
		<p class="ppr2">
	<xsl:apply-templates />
	</p>
	</xsl:template>		
	<xsl:template match="pprdx">
		<p class="pprdx">
	<xsl:apply-templates />
	</p>
	</xsl:template>		

	<xsl:template match="Tense">
	<div class="Tense">
		<xsl:apply-templates />	
	</div>
	</xsl:template>

	<xsl:template match="Form">
	<P class="Form">
		<xsl:apply-templates />	
	</P>
	</xsl:template>

	<xsl:template match="Tab">
		<xsl:if test="string-length(@Link) &gt; 0">
		<xsl:variable name="link"><xsl:value-of select="@Link"/></xsl:variable>
		<a class="Tab" href="javascript:detail('{$link}')"><xsl:apply-templates /></a>
		</xsl:if>
	</xsl:template>

	<xsl:template match="LocSigle">
		<P class="LocSigle">
			<xsl:apply-templates />	
		</P>
	</xsl:template>

	<xsl:template match="Part/GrammCat">
		<xsl:variable name="type"><xsl:value-of select="@Type"/></xsl:variable>
		<xsl:if test="string(@Type) = 'First'">
			<div class="GrammCat1"><xsl:apply-templates /></div>

		</xsl:if>
		<xsl:if test="string(@Type) != 'First'">
			<div class="GrammCat"><xsl:apply-templates /></div>
		</xsl:if>
	</xsl:template>

	<xsl:template match="TitExt">
	<P class="TitExt">
		<xsl:apply-templates />	
	</P>
	</xsl:template>

	<xsl:template match="External">
		<xsl:apply-templates />	
	</xsl:template>

	<xsl:template match="Title">
		<span class="Title"><xsl:apply-templates /></span>
	</xsl:template>

	<xsl:template match="TitNote">
		<span class="TitNote"><xsl:apply-templates /></span>
	</xsl:template>

	<xsl:template match="ExternalDatabase">
		<xsl:if test="string-length(@Link) &gt; 0">
		<xsl:variable name="link"><xsl:value-of select="@Link"/></xsl:variable>
		<div><a class="XRef" href="javascript:detail('{$link}')">&#9657; <xsl:apply-templates /></a></div>
		</xsl:if>	
	</xsl:template>

	<xsl:template match="Subtitle">
		<span class="Subtitle"><xsl:apply-templates /></span>
	</xsl:template>

	<xsl:template match="SubLoc">
		<p class="SubLoc"><xsl:apply-templates /></p>
	</xsl:template>

	<xsl:template match="SubPhrase">
		<p class="SubPhrase"><xsl:apply-templates /></p>
	</xsl:template>

	<xsl:template match="SubSense">
		<p class="Def">
		<xsl:if test="string-length(@Number) &gt; 0">
			<span class="Num"><xsl:value-of select="@Number" />&#x00a0;&#x00a0;</span>
			<xsl:apply-templates />
		</xsl:if>
		<xsl:if test="string-length(@Number) = 0">
			<xsl:apply-templates />
		</xsl:if>
		</p>
	</xsl:template>
		
	<xsl:template match="Definition">
		<xsl:if test="string-length(@Number) &gt; 0">
			<span class="Num"><xsl:value-of select="@Number" />&#x00a0;&#x00a0;</span>
			<xsl:apply-templates />
		</xsl:if>
		<xsl:if test="string-length(@Number) = 0">
			<xsl:apply-templates />
		</xsl:if>
	</xsl:template>

	<xsl:template match="Translation">
			<P class="Translation">
			<xsl:apply-templates />
			</P>
	</xsl:template>

	<xsl:template match="Derivate">
			<div class="Derivate">
			<xsl:apply-templates />
			</div>
	</xsl:template>

	<xsl:template match="PHRASES/Phrase">
			<div class="Phrases">
			<span class="s">&#x25a0; </span><xsl:apply-templates />
			</div>
	</xsl:template>

	<xsl:template match="DATE">
			<div class="Date">
				<xsl:apply-templates />
			</div>
	</xsl:template>
	
	<xsl:template match="ETYM">
			<div class="Etym">
				<xsl:apply-templates />
			</div>
	</xsl:template>

	<xsl:template match="TAIL">
			<div class="Tail">
				<xsl:apply-templates />
			</div>
	</xsl:template>

	<xsl:template match="TailPart">
			<P class="TailPart">
				<xsl:apply-templates />
			</P>
	</xsl:template>
	<xsl:template match="ConcPart">
			<P class="TailPart">
				<xsl:apply-templates />
			</P>
	</xsl:template>

	<xsl:template match="BODY/LinkPart">
		<div class="Def">
			<xsl:apply-templates/>
		</div>
	</xsl:template>

	<xsl:template match="BODY/SubEntry">
		<div class="SubEntry">
			<xsl:apply-templates/>
		</div>
	</xsl:template>

	<xsl:template match="Group">
		<div class="Group">
			<xsl:apply-templates />
		</div>
	</xsl:template>		
	<xsl:template match="Para">
		<div class="Para">
			<xsl:apply-templates />
		</div>
	</xsl:template>		

	<xsl:template match="XWord">
		<xsl:if test="string-length(@Link) &gt; 0">
			<xsl:variable name="link"><xsl:value-of select="@Link"/></xsl:variable>
			<a class="XWord" href="javascript:detail('{$link}')"><xsl:apply-templates /></a>
		</xsl:if>
		<xsl:if test="string-length(@Link) = 0">
			<span class="XWord"><xsl:apply-templates /></span>
		</xsl:if>
	</xsl:template>

	
	<!-- Character replacments -->
	<xsl:template match="Subtitle">
		<span class="Subtitle"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Verb">
		<span class="Verb"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="AliasN">
		<xsl:if test="string-length(@Link) &gt; 0">
			<xsl:variable name="link"><xsl:value-of select="@Link"/></xsl:variable>
			<a class="AliasN" href="javascript:detail('{$link}')"><xsl:apply-templates /></a>
		</xsl:if>
		<xsl:if test="string-length(@Link) = 0">
			<span class="AliasN"><xsl:apply-templates /></span>
		</xsl:if>
	</xsl:template>
	<xsl:template match="AliasF">
		<span class="AliasF"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="AliasM">
		<span class="AliasM"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="AliasFemm">
		<xsl:if test="string-length(@Link) &gt; 0">
			<xsl:variable name="link"><xsl:value-of select="@Link"/></xsl:variable>
			<a class="AliasFemm" href="javascript:detail('{$link}')"><xsl:apply-templates /></a>
		</xsl:if>
		<xsl:if test="string-length(@Link) = 0">
			<span class="AliasFemm"><xsl:apply-templates /></span>
		</xsl:if>
	</xsl:template>
	<xsl:template match="Cat">
		<xsl:variable name="tooltip"><xsl:value-of select='document(concat($tooltip-xml, "Explosion-Cat.xml"))/tooltips/Cat[@short=current()]/@long'/></xsl:variable>
		<span class="Cat" title="{$tooltip}"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="CatBox">
		<span class="Cat"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Exe">
		<span class="Exe"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Der">
		<xsl:if test="string-length(@Link) &gt; 0">
			<xsl:variable name="link"><xsl:value-of select="@Link"/></xsl:variable>
			<a class="Der" href="javascript:detail('{$link}')"><xsl:apply-templates /></a>
		</xsl:if>
		<xsl:if test="string-length(@Link) = 0">
			<span class="Der"><xsl:apply-templates /></span>
		</xsl:if>
	</xsl:template>
	<xsl:template match="DerB">
		<xsl:if test="string-length(@Link) &gt; 0">
			<xsl:variable name="link"><xsl:value-of select="@Link"/></xsl:variable>
			<a class="DerB" href="javascript:detail('{$link}')"><xsl:apply-templates /></a>
		</xsl:if>
		<xsl:if test="string-length(@Link) = 0">
			<span class="DerB"><xsl:apply-templates /></span>
		</xsl:if>
	</xsl:template>
	<xsl:template match="DerI">
		<xsl:if test="string-length(@Link) &gt; 0">
			<xsl:variable name="link"><xsl:value-of select="@Link"/></xsl:variable>
			<a class="DerI" href="javascript:detail('{$link}')"><xsl:apply-templates /></a>
		</xsl:if>
		<xsl:if test="string-length(@Link) = 0">
			<span class="DerI"><xsl:apply-templates /></span>
		</xsl:if>
	</xsl:template>
	<xsl:template match="Proverb">
		<span class="Expr"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Expr">
		<xsl:if test="string(@Type) != 'Marker' and string-length(@Link) &gt; 0">
			<xsl:variable name="link"><xsl:value-of select="@Link"/></xsl:variable>
			<a class="ExprB" href="javascript:detail('{$link}')"><xsl:apply-templates /></a>
		</xsl:if>
		<xsl:variable name="type"><xsl:value-of select="@Type"/></xsl:variable>
		<xsl:if test="string(@Type) != 'Marker' and string-length(@Link) = 0">
			<span class="ExprB"><xsl:apply-templates /></span>
		</xsl:if>
		<xsl:if test="string(@Type) = 'Marker' and string-length(@Link) &gt; 0">
			<xsl:variable name="link"><xsl:value-of select="@Link"/></xsl:variable>
			<a class="Expr" href="javascript:detail('{$link}')"><xsl:apply-templates /></a>
		</xsl:if>
		<xsl:if test="string(@Type) = 'Marker' and string-length(@Link) = 0">
			<span class="Expr"><xsl:apply-templates /></span>
		</xsl:if>
	</xsl:template>
	<xsl:template match="Gramm">
		<xsl:variable name="tooltip"><xsl:value-of select='document(concat($tooltip-xml, "Explosion-Gramm.xml"))/tooltips/Gramm[@short=current()]/@long'/></xsl:variable>
		<span class="Gramm" title="{$tooltip}"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="GrammMF">
		<xsl:variable name="tooltip"><xsl:value-of select='document(concat($tooltip-xml, "Explosion-GrammMF.xml"))/tooltips/GrammMF[@short=current()]/@long'/></xsl:variable>
		<span class="GrammMF" title="{$tooltip}"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="GramBox">
		<span class="Gramm"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Govern">
		<xsl:variable name="tooltip"><xsl:value-of select='document(concat($tooltip-xml, "Explosion-Govern.xml"))/tooltips/Govern[@short=current()]/@long'/></xsl:variable>
		<span class="Govern" title="{$tooltip}"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="GovBox">
		<span class="GovBox"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="HwGramm">
		<xsl:variable name="tooltip"><xsl:value-of select='document(concat($tooltip-xml, "Explosion-HwGramm.xml"))/tooltips/HwGramm[@short=current()]/@long'/></xsl:variable>
		<span class="HwGramm" title="{$tooltip}"><xsl:apply-templates /></span>
	</xsl:template>	
	<xsl:template match="Hword">
		<span class="HwordN"><xsl:apply-templates /></span>
	</xsl:template>	
	<xsl:template match="HwordN">
		<span class="HwordN"><xsl:apply-templates /></span>
	</xsl:template>	
	<xsl:template match="HwordF">
		<span class="HwordF"><xsl:apply-templates /></span>
	</xsl:template>	
	<xsl:template match="HwordFemm">
		<xsl:if test="string-length(@Link) &gt; 0">
			<xsl:variable name="link"><xsl:value-of select="@Link"/></xsl:variable>
			<a class="HwordFemm" href="javascript:detail('{$link}')"><xsl:apply-templates /></a>
		</xsl:if>
		<xsl:if test="string-length(@Link) = 0">
			<span class="HwordFemm"><xsl:apply-templates /></span>
		</xsl:if>
	</xsl:template>	
	<xsl:template match="Hid">
		<!-- ignore -->
	</xsl:template>	
	<xsl:template match="HIDDEN">
		<!-- ignore -->	
	</xsl:template>	
	<xsl:template match="Infl">
		<xsl:if test="string-length(@Link) &gt; 0">
			<xsl:variable name="link"><xsl:value-of select="@Link"/></xsl:variable>
			<a class="Infl" href="javascript:detail('{$link}')"><xsl:apply-templates /></a>
		</xsl:if>
		<xsl:if test="string-length(@Link) = 0">
			<span class="Infl"><xsl:apply-templates /></span>
		</xsl:if>
	</xsl:template>
	<xsl:template match="NumBox">
		<span class="Num"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="NumDer">
		<span class="Num"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="NumExp">
		<span class="Num"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="NumLoc">
		<span class="Num"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Omo">
		<sup><xsl:apply-templates /></sup>
	</xsl:template>
	<xsl:template match="Orig">
		<xsl:if test="string-length(@Link) &gt; 0">
			<xsl:variable name="link"><xsl:value-of select="@Link"/></xsl:variable>
			<a class="Orig" href="javascript:detail('{$link}')"><xsl:apply-templates /></a>
		</xsl:if>
		<xsl:if test="string-length(@Link) = 0">
			<span class="Orig"><xsl:apply-templates /></span>
		</xsl:if>
	</xsl:template>
	<xsl:template match="Phon">
		<span class="Phon"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Pron">
		<span class="Pron"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Poly">
		<span class="Poly"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Quotext">
		<span class="Exe"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="SubHw">
		<span class="SubHw"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="s">
		<xsl:variable name="tooltip"><xsl:value-of select='document(concat($tooltip-xml, "Explosion-GrammMF.xml"))/tooltips/s[@short=current()]/@long'/></xsl:variable>
		<span class="s" title="{$tooltip}"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="x">
		<span class="x"><xsl:apply-templates /></span>
	</xsl:template>

	<xsl:template match="z">
		<span class="z"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Synon">
		<span class="Synon"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="TitTail">
		<span class="TitTail"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="TitNom">
		<span class="TitNom"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="XRef">
		<xsl:if test="string-length(@Link) &gt; 0">
			<xsl:variable name="link"><xsl:value-of select="@Link"/></xsl:variable>
			<a class="XRef" href="javascript:detail('{$link}')"><xsl:apply-templates /></a>
		</xsl:if>
		<xsl:if test="string-length(@Link) = 0">
			<span class="XRef"><xsl:apply-templates /></span>
		</xsl:if>
	</xsl:template>
	<xsl:template match="Line">
		<p class="Line"><xsl:apply-templates /></p>
	</xsl:template>		
	<xsl:template match="m">
		<span class="m"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="mb">
		<span class="mb"><xsl:apply-templates /></span>
	</xsl:template>

	<xsl:template match="mt">
		<span class="mt"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="dum">
		<!-- Ignore -->
	</xsl:template>

	<xsl:template match="HL">
		<xsl:variable name="hlidx1"><xsl:value-of select="attribute::index"/></xsl:variable>
		<xsl:variable name="nodeName" select="name()"></xsl:variable>
		<xsl:variable name="hlidx2"><xsl:value-of select="count(preceding::node()[name() = $nodeName]) + 1"/></xsl:variable>
		<a name="hl_{$hlidx1}_{$hlidx2}_{$view.details.id}"></a>
		<span class="HL"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="TT">
		<span class="tt"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Xi">
		<xsl:if test="string-length(@Link) &gt; 0">
			<xsl:variable name="link"><xsl:value-of select="@Link"/></xsl:variable>
			<a class="Xi" href="javascript:detail('{$link}')"><xsl:apply-templates /></a>
		</xsl:if>
		<xsl:if test="string-length(@Link) = 0">
			<span class="Xi"><xsl:apply-templates /></span>
		</xsl:if>
	</xsl:template>
	<xsl:template match="i">
		<i><xsl:apply-templates /></i>
	</xsl:template>	
	<xsl:template match="b">
		<b><xsl:apply-templates /></b>
	</xsl:template>	
	<xsl:template match="u">
		<u><xsl:apply-templates /></u>
	</xsl:template>	
	<xsl:template match="br">
		<br/>
	</xsl:template>	
	<xsl:template match="sup">
		<sup><xsl:apply-templates /></sup>
	</xsl:template>	
	<xsl:template match="sub">
		<sub><xsl:apply-templates /></sub>
	</xsl:template>	
	
</xsl:stylesheet>
